package com.humuson.amc.client.constant;

public enum Action {

	SESSION("session"),
	OPEN("open"),
	CLICK("click"),
	JOIN("join"),
	CART("cart"),
	CART_ABANDON("cart_abandon"),
	PURCHASE("purchase"),
	LOGIN("login");
	
	String name;
	
	Action(String name) {
		this.name = name;
	}
	
	public String getName() {
		return name;
	}
	
	public boolean same(String name) {
		return this.name.equals(name);
	}
	
}