package com.humuson.amc.client.constant;

/**
 * content type
 * @author kmc
 *
 */
public enum ContentType {
	
	MSG("MSG"),
	PUSH("PUSH"),
	EMAIL("EMAIL"),
	ALLIMTALK("ALLIMTALK"),
	SMS("SMS"),
	LMS("LMS"),
	MMS("MMS"),
	SNS("SNS"),
	WEB("WEB");
	
    String code;
    
    ContentType(String code) {
        this.code = code;
    }
    
    public String getCode() {
    	return code;
    }
    
    public static ContentType find(String code) {
        if(code == null)return null;
        for(ContentType type : values()){
        	if ( type.getCode().equals(code) ) {
        		return type;
        	}
        }
        return null;
    }
    
    
    public boolean isMsg() {
		if ( !code.equals(WEB.getCode()) ) {
			return true;
		}
		return false;
	}
}
