package com.humuson.amc.client.constant;

public enum EncryptType {

	NONE("none","none"),
	SHA("sha","none"),
	HE_APP("he_app","appKey"),
	HE_SITE("he_site","siteKey");
	
	String type;
	String keyField;
	
	EncryptType(String type, String keyField) {
		this.type = type;
		this.keyField = keyField;
	}
	
	public String getType() {
		return type;
	}
	
	public String getKeyField() {
		return keyField;
	}
	
	public static EncryptType find(String type) {
        if(type == null)return null;
        for(EncryptType e : values()){
        	if ( e.getType().equals(type) ) {
        		return e;
        	}
        }
        return null;
    }
}
