package com.humuson.amc.client.constant;

public enum GrantType {
	
	ClientCredentials("client_credentials"),
	AuthorizationCode("authorization_code"),
	Implict("implicit"),
	RefreshToken("refresh_token"),
	Password("password"),
	ClientUserCredentials("client_user_credentials");
	
	String code;
	
	GrantType(String code) {
		this.code = code;
	}
	
	public String getCode() {
		return code;
	}
	
	public static GrantType find(String code) {
		if(code == null)return null;
        for(GrantType type : values()){
        	if ( type.getCode().equals(code) ) {
        		return type;
        	}
        }
        return null;
	}
}
