package com.humuson.amc.client.constant;

public enum TargetType {
	ALL("all"),
	TAG("tag"),
	AUDIENCE("audience"),
	ACTION("action"),
	TRK("trk"), //tag + action
	OUTTAG("outtag"),
	ONE_SESSION("one_session");
	
	String code;
	
	TargetType(String code) {
        this.code = code;
    }
    
    public String getCode() {
    	return code;
    }
    
    public static TargetType find(String code) {
        if(code == null)return null;
        for(TargetType type : values()){
        	if ( type.getCode().equals(code) ) {
        		return type;
        	}
        }
        return null;
    }
    
    
    public boolean same(String code) {
    	return this.code.equals(code);
    }
}