package com.humuson.amc.client.context;

import com.humuson.amc.client.info.UriInfo;
import com.humuson.amc.client.model.Authentication;

public class ClientContext {
	
	private Authentication defaultAuthentication = null;
	
	private UriInfo uriInfo = null;
	
	public ClientContext() {
		initialize();
	}
	
	public ClientContext(UriInfo uriInfo) {
		this.uriInfo	= uriInfo;
		initialize();
	}
	
	public void initialize() {
		if ( this.uriInfo == null ) {
			this.uriInfo = new UriInfo();
		}
	}
	
	public Authentication getDefaultAuthentication() {
		return defaultAuthentication;
	}

	public void setDefaultAuthentication(Authentication defaultAuthentication) {
		this.defaultAuthentication = defaultAuthentication;
	}

	public void setUriInfo(UriInfo uriInfo) {
		this.uriInfo = uriInfo;
	}

	public UriInfo getUriInfo() {
		return uriInfo;
	}
	
}
