package com.humuson.amc.client.controller;

import com.humuson.amc.client.AmcClient;
import com.humuson.amc.client.model.Page;
import com.humuson.amc.client.model.Response;
import com.humuson.amc.client.model.request.B2BTargetRequest;
import com.humuson.amc.client.model.request.TargetRequest;
import com.humuson.amc.client.model.response.B2BTarget;
import com.humuson.amc.client.util.TypeUtil;

public class TargetController extends AbstractController {

	public TargetController(AmcClient amcClient) {
		super(amcClient);
	}
	
	public Response<Page<String>> getIds(TargetRequest request) {
		
		return httpComunicator.executePost("/api/ma/target/ids", request, TypeUtil.getPageType(String.class));
	}
	
	public Response<B2BTarget> getB2BTarget(B2BTargetRequest request) {
		return httpComunicator.executeGet("/api/b2b/target/list", request, B2BTarget.class);
	}
}
