package com.humuson.amc.client.model.request;

import java.util.HashMap;
import java.util.Map;

import com.humuson.amc.client.model.PageableRequest;
import com.humuson.amc.client.util.ValidateUtil;

public class AppListRequest extends PageableRequest {
	
	public AppListRequest() {
		setPageDiff(1);
	}
	
	String siteKey;
	
	public String getSiteKey() {
		return siteKey;
	}

	public void setSiteKey(String siteKey) {
		this.siteKey = siteKey;
	}
	
	@Override
	public void validate() {
		ValidateUtil.checkEmpty("siteKey", siteKey);
	}

	@Override
	protected boolean isJsonContentType() {
		return false;
	}

	@Override
	protected Map<String, Object> toParams() {
		Map<String, Object> params = new HashMap<String, Object>();
		
		params.put("siteKey", siteKey);
				
		return params;
	}
	
	
}