package com.humuson.amc.client.model.request;

import java.util.HashMap;
import java.util.Map;

import com.humuson.amc.client.model.Request;

public class UserUpdateRequest extends Request {
	
	private String password;
	private String name;
	private String email;
	private String tel;
	
	public String getPassword() {
		return password;
	}
	public void setPassword(String password) {
		this.password = password;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getEmail() {
		return email;
	}
	public void setEmail(String email) {
		this.email = email;
	}
	public String getTel() {
		return tel;
	}
	public void setTel(String tel) {
		this.tel = tel;
	}
	
	@Override
	protected Map<String, Object> toParams() {
		
		Map<String, Object> params = new HashMap<String, Object>();
		
		params.put("password", password);
		params.put("name", name);
		params.put("email", email);
		params.put("tel", tel);
		
		return params;
	}
	
	@Override
	public void validate() {}

	@Override
	protected boolean isJsonContentType() {
		return false;
	}
}
