package com.humuson.amc.client.model.response;

import java.util.ArrayList;
import java.util.List;

import com.humuson.amc.client.constant.GrantType;

public class Service {
	
	String id;
	
	String password;

	String name;

	String  grantTypes;
		
	String redirectUri;
	
	List<String> scopes;
	
	List<String> roles;
		
	boolean autoApprove;
	
	Integer accessTokenValiditySeconds;
	
	Integer refreshTokenValiditySeconds;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public List<GrantType> getGrantTypes() {
		
		List<GrantType> grantTypeList = new ArrayList<GrantType>();
		if ( grantTypes == null ) return grantTypeList;
		
		String[] grantTypeArr = grantTypes.split(",");
		for ( String code : grantTypeArr ) {
			GrantType type = GrantType.find(code);
			if ( type != null ) grantTypeList.add(type);
		}
		
		return grantTypeList;
	}

	public void setGrantTypes(List<GrantType> grantTypes) {
		
		if ( grantTypes == null ) return;
		
		StringBuilder sb = new StringBuilder();
		for ( GrantType grantType : grantTypes ) {
			sb.append(",").append(grantType.getCode());
		}
		this.grantTypes = sb.substring(1);
	}

	public String getRedirectUri() {
		return redirectUri;
	}

	public void setRedirectUri(String redirectUri) {
		this.redirectUri = redirectUri;
	}

	public boolean isAutoApprove() {
		return autoApprove;
	}

	public void setAutoApprove(boolean autoApprove) {
		this.autoApprove = autoApprove;
	}

	public Integer getAccessTokenValiditySeconds() {
		return accessTokenValiditySeconds;
	}

	public void setAccessTokenValiditySeconds(Integer accessTokenValiditySeconds) {
		this.accessTokenValiditySeconds = accessTokenValiditySeconds;
	}

	public Integer getRefreshTokenValiditySeconds() {
		return refreshTokenValiditySeconds;
	}

	public void setRefreshTokenValiditySeconds(Integer refreshTokenValiditySeconds) {
		this.refreshTokenValiditySeconds = refreshTokenValiditySeconds;
	}
	
	
	
}
