package com.humuson.amc.client.model.response;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import com.humuson.amc.client.util.ReflectionUtil;

public class Sharing {
	
	private long seq;
	private String searchType;
	private String businessType;
	private String sharingRequestInfo;
	private long userCount;
	private int price;
	private int sharingPrice;
	private String imageOriginName;
	private String imageUrl;
	private String imageFilePath;
	private String landingUrl;
	private String description;
	private String status;
	private String automationFlag;
	private String budgetFlag;
	private long budgetCost;
	private long budgetSending;
	private long requestSendingCount;
	private long sendedCount;
	private long viewCount;
	private long clickCount;
	private String resultOfEvaluation;
	private Date scheduledSending;
	private String reasonOfEvaluation;
	private String resultOfFinal;
	private String useOfSending;
	private String reasonOfFinal;
	private String siteUrl;
	private String requestSiteName;
	private List<String> reqTags;
		
	public long getSeq() {
		return seq;
	}
	public void setSeq(long seq) {
		this.seq = seq;
	}
	public String getSearchType() {
		return searchType;
	}
	public void setSearchType(String searchType) {
		this.searchType = searchType;
	}
	public String getBusinessType() {
		return businessType;
	}
	public void setBusinessType(String businessType) {
		this.businessType = businessType;
	}
	public String getSharingRequestInfo() {
		return sharingRequestInfo;
	}
	public void setSharingRequestInfo(String sharingRequestInfo) {
		this.sharingRequestInfo = sharingRequestInfo;
	}
	public long getUserCount() {
		return userCount;
	}
	public void setUserCount(long userCount) {
		this.userCount = userCount;
	}
	public int getPrice() {
		return price;
	}
	public void setPrice(int price) {
		this.price = price;
	}
	public int getSharingPrice() {
		return sharingPrice;
	}
	public void setSharingPrice(int sharingPrice) {
		this.sharingPrice = sharingPrice;
	}
	public String getImageOriginName() {
		return imageOriginName;
	}
	public void setImageOriginName(String imageOriginName) {
		this.imageOriginName = imageOriginName;
	}
	public String getImageUrl() {
		return imageUrl;
	}
	public void setImageUrl(String imageUrl) {
		this.imageUrl = imageUrl;
	}
	public String getImageFilePath() {
		return imageFilePath;
	}
	public void setImageFilePath(String imageFilePath) {
		this.imageFilePath = imageFilePath;
	}
	public String getLandingUrl() {
		return landingUrl;
	}
	public void setLandingUrl(String landingUrl) {
		this.landingUrl = landingUrl;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getAutomationFlag() {
		return automationFlag;
	}
	public void setAutomationFlag(String automationFlag) {
		this.automationFlag = automationFlag;
	}
	public String getBudgetFlag() {
		return budgetFlag;
	}
	public void setBudgetFlag(String budgetFlag) {
		this.budgetFlag = budgetFlag;
	}
	public long getBudgetCost() {
		return budgetCost;
	}
	public void setBudgetCost(long budgetCost) {
		this.budgetCost = budgetCost;
	}
	public long getBudgetSending() {
		return budgetSending;
	}
	public void setBudgetSending(long budgetSending) {
		this.budgetSending = budgetSending;
	}
	public long getRequestSendingCount() {
		return requestSendingCount;
	}
	public void setRequestSendingCount(long requestSendingCount) {
		this.requestSendingCount = requestSendingCount;
	}
	public long getSendedCount() {
		return sendedCount;
	}
	public void setSendedCount(long sendedCount) {
		this.sendedCount = sendedCount;
	}
	public long getViewCount() {
		return viewCount;
	}
	public void setViewCount(long viewCount) {
		this.viewCount = viewCount;
	}
	public long getClickCount() {
		return clickCount;
	}
	public void setClickCount(long clickCount) {
		this.clickCount = clickCount;
	}
	public String getResultOfEvaluation() {
		return resultOfEvaluation;
	}
	public void setResultOfEvaluation(String resultOfEvaluation) {
		this.resultOfEvaluation = resultOfEvaluation;
	}
	public Date getScheduledSending() {
		return scheduledSending;
	}
	public void setScheduledSending(Date scheduledSending) {
		this.scheduledSending = scheduledSending;
	}
	public String getReasonOfEvaluation() {
		return reasonOfEvaluation;
	}
	public void setReasonOfEvaluation(String reasonOfEvaluation) {
		this.reasonOfEvaluation = reasonOfEvaluation;
	}
	public String getResultOfFinal() {
		return resultOfFinal;
	}
	public void setResultOfFinal(String resultOfFinal) {
		this.resultOfFinal = resultOfFinal;
	}
	public String getUseOfSending() {
		return useOfSending;
	}
	public void setUseOfSending(String useOfSending) {
		this.useOfSending = useOfSending;
	}
	public String getReasonOfFinal() {
		return reasonOfFinal;
	}
	public void setReasonOfFinal(String reasonOfFinal) {
		this.reasonOfFinal = reasonOfFinal;
	}
	public String getSiteUrl() {
		return siteUrl;
	}
	public void setSiteUrl(String siteUrl) {
		this.siteUrl = siteUrl;
	}
	public String getRequestSiteName() {
		return requestSiteName;
	}
	public void setRequestSiteName(String requestSiteName) {
		this.requestSiteName = requestSiteName;
	}
	public List<String> getReqTags() {
		
		if ( reqTags != null ) {
			return reqTags;
		}
		
		reqTags = new ArrayList<String>();
		
		if ( sharingRequestInfo == null ) {
			return reqTags;
		}
		
		try {
			SharingReqInfo info = ReflectionUtil.toObj(sharingRequestInfo, SharingReqInfo.class);
			reqTags = info.getTags();
		} catch (Exception e) {}
		
		return reqTags;
	}
	
	
	public String toString() {
		return ReflectionUtil.toJson(this);
	}
}
