package com.humuson.amc.client.util;

public class StringUtils {
	
	public static boolean isEmpty(String str) {
		return str == null || str.length() == 0;
	}

	public static boolean isNotEmpty(String str) {
		return !StringUtils.isEmpty(str);
	}
	
	public static String toLowerCase(String str) {
		if ( str == null ) return null;
		return str.trim().toLowerCase();
	}
		
	public static boolean isEqual(String s1, String s2) {
		
		if ( s1 == null || s2 == null ) {
			if ( ( s1 == null && s2 != null ) || ( s1 != null && s2 == null ) ) {
				return false;
			} else {
				return true;
			}
		}
		
		if ( s1.equals(s2) ) {
			return true;
		}
		
		return false;
	}
}
