package com.humuson.amc.client.constant;

public enum ChannelType {

	PUSH("PUSH"),
	EMAIL("EMAIL"),
	ALLIMTALK("ALLIMTALK"),
	SMS("SMS"),
	LMS("LMS"),
	MMS("MMS"),
	SNS("SNS");
	
    String code;
    
    ChannelType(String code) {
        this.code = code;
    }
    
    public String getCode() {
    	return code;
    }
    
    public static ChannelType find(String code) {
        if(code == null)return null;
        for(ChannelType type : values()){
        	if ( type.getCode().equals(code) ) {
        		return type;
        	}
        }
        return null;
    }
    
}
