package com.humuson.amc.client.constant;

public enum SharingStatus {

	NOT_READY("R"),
	ACTIVATION("Y"),
	INACTIVATION("N"),
	DENY("D"),
	FINISH("F");
	
    String code;
    
    SharingStatus(String code) {
        this.code = code;
    }
    
    public String getCode() {
    	return code;
    }
    
    public static SharingStatus find(String code) {
        if(code == null)return null;
        for(SharingStatus type : values()){
        	if ( type.getCode().equals(code) ) {
        		return type;
        	}
        }
        return null;
    }
}
