package com.humuson.amc.client.controller;

import com.humuson.amc.client.AmcClient;
import com.humuson.amc.client.model.Page;
import com.humuson.amc.client.model.Response;
import com.humuson.amc.client.model.request.TrackingLogSearchRequest;
import com.humuson.amc.client.model.response.TrackingLog;
import com.humuson.amc.client.util.TypeUtil;

public class TrackingLogController extends AbstractController {
	
	public TrackingLogController(AmcClient amcClient) {
		super(amcClient);
	}
		
	public Response<Page<TrackingLog>> search(TrackingLogSearchRequest request) {
		return httpComunicator.executePost("/api/trk/get",request, TypeUtil.getPageType(TrackingLog.class));
	}

}
