package com.humuson.amc.client.model;

import java.util.ArrayList;
import java.util.List;

import com.humuson.amc.client.model.response.Contact;

public class AudienceScrollResponse {
	
	private int audienceId;
	private String audienceScrollId;
	private List<Contact> contacts = new ArrayList<Contact>();
	private int totalCount;
	private int remainCount;
	
	public void addContact(Contact contact) {
		this.contacts.add(contact);
	}

	public int getAudienceId() {
		return audienceId;
	}

	public void setAudienceId(int audienceId) {
		this.audienceId = audienceId;
	}
	
	

	public List<Contact> getContacts() {
		return contacts;
	}

	public void setContacts(List<Contact> contacts) {
		this.contacts = contacts;
	}

	public String getAudienceScrollId() {
		return audienceScrollId;
	}

	public void setAudienceScrollId(String audienceScrollId) {
		this.audienceScrollId = audienceScrollId;
	}
	
	public boolean contains(Contact contact) {
		return this.contacts.contains(contact);
	}
	
	public boolean isEmpty() {
		return this.contacts.isEmpty();
	}

	public int getTotalCount() {
		return totalCount;
	}

	public void setTotalCount(int totalCount) {
		this.totalCount = totalCount;
	}

	public int getRemainCount() {
		return remainCount;
	}

	public void setRemainCount(int remainCount) {
		this.remainCount = remainCount;
	}
}
