package com.humuson.amc.client.model;

import java.util.Date;

import com.humuson.amc.client.util.ReflectionUtil;

public class JwtPayload {

	private long exp;
	
	private String user_name;
	
	private String client_id;

	public void setExp(long exp) {
		this.exp = exp;
	}

	public Date getExpiresAt() {
		return new Date(exp * 1000);
	}
	
	public String getUser_name() {
		return user_name;
	}

	public void setUser_name(String user_name) {
		this.user_name = user_name;
	}

	public String getClient_id() {
		return client_id;
	}

	public void setClient_id(String client_id) {
		this.client_id = client_id;
	}

	@Override
	public String toString() {
		return ReflectionUtil.toJson(this);
	}
}
