package com.humuson.amc.client.model.request;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.humuson.amc.client.info.Required;
import com.humuson.amc.client.model.Request;

public class AudienceMultiUserRegistRequest extends Request {
	
	@Required
	private String siteKey;
	
	private Long audienceSeq;
	
	private String audienceName;
	
	private List<AudienceUser> users;
	
	private boolean syncContactList;

	public String getSiteKey() {
		return siteKey;
	}

	public void setSiteKey(String siteKey) {
		this.siteKey = siteKey;
	}

	public Long getAudienceSeq() {
		return audienceSeq;
	}

	public void setAudienceSeq(Long audienceSeq) {
		this.audienceSeq = audienceSeq;
	}

	public List<AudienceUser> getUsers() {
		return users;
	}

	public void setUsers(List<AudienceUser> users) {
		this.users = users;
	}

	public boolean isSyncContactList() {
		return syncContactList;
	}

	public void setSyncContactList(boolean syncContactList) {
		this.syncContactList = syncContactList;
	}

	public String getAudienceName() {
		return audienceName;
	}

	public void setAudienceName(String audienceName) {
		this.audienceName = audienceName;
	}

	@Override
	protected Map<String, Object> toParams() {
		
		Map<String, Object> params = new HashMap<String, Object>();
		
		params.put("siteKey", siteKey);
		params.put("audienceName", audienceName);
		params.put("audienceSeq", audienceSeq);
		params.put("users", users);
		params.put("syncContactList", syncContactList);
				
		return params;
	}

	@Override
	protected boolean isJsonContentType() {
		return true;
	}
}
