package com.humuson.amc.client.model.request;

import java.util.HashMap;
import java.util.Map;

import com.humuson.amc.client.info.Required;
import com.humuson.amc.client.model.PageableRequest;

public class ContactRequest extends PageableRequest {
	
	public ContactRequest() {
		setPageDiff(1);
	}
	
	@Required
	private String audienceSeq;
	
	private String audienceScrollId;
	
	public String getAudienceScrollId() {
		return audienceScrollId;
	}

	public void setAudienceScrollId(String audienceScrollId) {
		this.audienceScrollId = audienceScrollId;
	}

	public String getAudienceSeq() {
		return audienceSeq;
	}

	public void setAudienceSeq(String audienceSeq) {
		this.audienceSeq = audienceSeq;
	}


	@Override
	protected Map<String, Object> toParams() {
		
		Map<String, Object> params = new HashMap<String, Object>();
		
		params.put("audienceSeq", audienceSeq);
		params.put("audienceScrollId", audienceScrollId);
		
		return params;
	}

	@Override
	protected boolean isJsonContentType() {
		return false;
	}
}
