package com.humuson.amc.client.model.response;

import java.util.List;
import java.util.Set;

import com.humuson.amc.client.util.ReflectionUtil;

public class TrackingLog {
	
	String type;
	
	String contentKey;
	
	String path;
	
	/**
	 * event info id
	 */
	String eventId;
	
	/**
	 * event group name 
	 */
	List<String> category;
	
	/**
	 * event name
	 */
	String name;
	
	/**
	 * event action (ex. regist, update, delete, ...) - customize
	 */
	String action;
	
	/**
	 * event value
	 */
	String eventValue;
	
	/**
	 * event customer id
	 */
	String custId;
	
	/**
	 * tracking msg key
	 * 발송 메시지로 부터 발생된 event일 경우 해당 메시지의 키를 여기에 저장.
	 */
	String msgKey;
	
	/**
	 * tracking msg channel type
	 * 발송 메시지로 부터 발생된 event일 경우 해당 메시지의 채널 타입을 여기에 저장.
	 */
	String channelType;
	
	Double numberValue;
	
	String stringValue;
	
	TagInfo tagInfo;
	
	Page page;
	
	String platform;
	String maId;
	String userId;
	
	Geoip geoip;
	String timestamp;
	
	DeviceInfo device;
		
	/**
	 * session id
	 */
	String ssId;
	
	// 크로스 채널 마케팅을 위한 채널 리스트 값
	Set<String> otherSendingChannel;
	
	EventCustomData custom;
	
	String version;
	
	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getContentKey() {
		return contentKey;
	}

	public void setContentKey(String contentKey) {
		this.contentKey = contentKey;
	}

	public String getPath() {
		return path;
	}

	public void setPath(String path) {
		this.path = path;
	}

	public String getEventId() {
		return eventId;
	}

	public void setEventId(String eventId) {
		this.eventId = eventId;
	}

	public List<String> getCategory() {
		return category;
	}

	public void setCategory(List<String> category) {
		this.category = category;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getAction() {
		return action;
	}

	public void setAction(String action) {
		this.action = action;
	}

	public String getEventValue() {
		return eventValue;
	}

	public void setEventValue(String eventValue) {
		this.eventValue = eventValue;
	}

	public String getCustId() {
		return custId;
	}

	public void setCustId(String custId) {
		this.custId = custId;
	}

	public String getMsgKey() {
		return msgKey;
	}

	public void setMsgKey(String msgKey) {
		this.msgKey = msgKey;
	}

	public Double getNumberValue() {
		return numberValue;
	}

	public void setNumberValue(Double numberValue) {
		this.numberValue = numberValue;
	}

	public String getStringValue() {
		return stringValue;
	}

	public void setStringValue(String stringValue) {
		this.stringValue = stringValue;
	}

	public TagInfo getTagInfo() {
		return tagInfo;
	}

	public void setTagInfo(TagInfo tagInfo) {
		this.tagInfo = tagInfo;
	}

	public Page getPage() {
		return page;
	}

	public void setPage(Page page) {
		this.page = page;
	}

	public String getPlatform() {
		return platform;
	}

	public void setPlatform(String platform) {
		this.platform = platform;
	}

	public String getMaId() {
		return maId;
	}

	public void setMaId(String maId) {
		this.maId = maId;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getChannelType() {
		return channelType;
	}

	public void setChannelType(String channelType) {
		this.channelType = channelType;
	}

	public Geoip getGeoip() {
		return geoip;
	}

	public void setGeoip(Geoip geoip) {
		this.geoip = geoip;
	}

	public String getTimestamp() {
		return timestamp;
	}

	public void setTimestamp(String timestamp) {
		this.timestamp = timestamp;
	}

	public DeviceInfo getDevice() {
		return device;
	}

	public void setDevice(DeviceInfo device) {
		this.device = device;
	}

	public String getSsId() {
		return ssId;
	}

	public void setSsId(String ssId) {
		this.ssId = ssId;
	}

	public Set<String> getOtherSendingChannel() {
		return otherSendingChannel;
	}

	public void setOtherSendingChannel(Set<String> otherSendingChannel) {
		this.otherSendingChannel = otherSendingChannel;
	}

	public EventCustomData getCustom() {
		return custom;
	}

	public void setCustom(EventCustomData custom) {
		this.custom = custom;
	}

	public String getVersion() {
		return version;
	}

	public void setVersion(String version) {
		this.version = version;
	}

	@Override
	public String toString() {
		return ReflectionUtil.toJson(this);
	}
}
