package com.humuson.amc.client.util;

import java.util.Date;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;

public class ReflectionUtil {
	
	private static Gson gson = new GsonBuilder().disableHtmlEscaping().registerTypeAdapter(Date.class, new JsonDateAdapter()).create();
	
	public static <T> String toJson(T t) {
		return gson.toJson(t);
	}
	
	public static <T> T toObj(String json, Class<T> classz) {
		return gson.fromJson(json, classz);
	}
}
